For the complete documentation index, see llms.txt. This page is also available as Markdown.

OpenAPI

Sync a GitBook page with an OpenAPI or Swagger file to generate API methods automatically, and test endpoints inline from your docs.

You can sync GitBook pages with an OpenAPI or Swagger file or a URL to include auto-generated API methods in your documentation.

OpenAPI block

GitBook's OpenAPI block is powered by Scalar, so you can test your APIs directly from your docs.

Add a new pet to the store.

post

Add a new pet to the store.

Required scopes
This endpoint requires the following scopes:
  • : modify pets in your account
  • : read your pets
Authorizations
OAuth2implicitRequired
Authorization URL:
Body
idinteger · int64OptionalExample: 10
namestringRequiredExample: doggie
photoUrlsstring[]Required
statusstring · enumOptional

pet status in the store

Possible values:
Responses
200

Successful operation

idinteger · int64OptionalExample: 10
namestringRequiredExample: doggie
photoUrlsstring[]Required
statusstring · enumOptional

pet status in the store

Possible values:
post/pet
POST /api/v3/pet HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 133

{
  "id": 10,
  "name": "doggie",
  "category": {
    "id": 1,
    "name": "Dogs"
  },
  "photoUrls": [
    "text"
  ],
  "tags": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "status": "available"
}
{
  "id": 10,
  "name": "doggie",
  "category": {
    "id": 1,
    "name": "Dogs"
  },
  "photoUrls": [
    "text"
  ],
  "tags": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "status": "available"
}

Last updated